package de.jottyfan.quickiemod;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import de.jottyfan.quickiemod.init.RegistryManager;
import net.fabricmc.api.ModInitializer;

/**
 *
 * @author jotty
 *
 */
public class QuickieMod implements ModInitializer {
	public static final String MODID = "quickiemod";

  public static final Logger LOGGER = LoggerFactory.getLogger(MODID);

	@Override
	public void onInitialize() {
		LOGGER.info("loading {}", MODID);

		RegistryManager.registerBlockEntityTypes();
		RegistryManager.registerScreenHandlerTypes();
		RegistryManager.registerItems();
		RegistryManager.registerEvents();
		RegistryManager.registerBlocks();
		RegistryManager.registerFeatures();
		RegistryManager.registerItemGroup();
	}
}