package de.jottyfan.quickiemod.items;

import net.minecraft.block.BlockState;
import net.minecraft.block.Blocks;
import net.minecraft.entity.ItemEntity;
import net.minecraft.entity.player.PlayerEntity;
import net.minecraft.item.ItemStack;
import net.minecraft.item.ItemUsageContext;
import net.minecraft.util.ActionResult;
import net.minecraft.util.Hand;
import net.minecraft.util.math.BlockPos;
import net.minecraft.world.World;

/**
 *
 * @author jotty
 *
 */
public class ToolSpeedpowderWaterHoe extends ToolSpeedpowderHoe {
	@Override
	public ActionResult useOnBlock(ItemUsageContext context) {
		ActionResult res = super.useOnBlock(context);
		if (!ActionResult.PASS.equals(res)) {
			BlockPos pos = context.getBlockPos();
			World world = context.getWorld();
			BlockState oldBlockState = world.getBlockState(pos);
			world.setBlockState(pos, Blocks.WATER.getDefaultState());
			Hand hand = context.getHand();
			PlayerEntity player = context.getPlayer();
			ItemStack oldTool = player.getStackInHand(hand);
			ItemStack newTool = new ItemStack(QuickieItems.SPEEDPOWDERHOE.getItem());
			newTool.setDamage(oldTool.getDamage());
			world.spawnEntity(new ItemEntity(world, pos.getX(), pos.getY(), pos.getZ(), new ItemStack(oldBlockState.getBlock())));
			player.setStackInHand(hand, newTool);
		}
		return res;
	}
}
